const tsc = require('typescript');
const babel = require('babel-core');

module.exports = {
    process(src, path) {
        if (path.indexOf('node_modules') === -1 && path.endsWith('.js')) {
            return babel.transform(src, {
                filename: path,
                presets: ['jest', 'es2015', 'react', 'stage-0'],
                plugins: [
                    'syntax-class-properties',
                    'transform-class-properties'
                ],
                retainLines: true,
                compact: false
            }).code;
        }

        if (path.indexOf('node_modules') === -1 && (path.endsWith('.ts') || path.endsWith('.tsx'))) {
            return tsc.transpile(
                src,
                {
                    module: tsc.ModuleKind.CommonJS,
                    jsx: tsc.JsxEmit.React
                },
                path,
                []
            );
        }

        return src;
    }
};
