'use strict';

/* eslint no-console: 0 */
const path = require('path');
const webpack = require('webpack');
const WebpackDevServer = require('webpack-dev-server');

let webpackConfig;

if (process.env.PROJECT_TYPE === 'typescript') {
    webpackConfig = require('./webpack.hot-dev-ts.js');
} else {
    webpackConfig = require('./webpack.hot-dev.js');
}

const compiler = webpack(webpackConfig);

new WebpackDevServer(compiler, {
    publicPath: webpackConfig.output.publicPath,
    hot: true,
    historyApiFallback: true,
    stats: 'errors-only'
}).listen(5400, 'localhost', function (err, result) {
    if (err) {
        return console.log(err);
    }

    console.log('Listening at http://localhost:5400/');
});
